<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vat Calculator</title>
</head>
<body>
<?php
   require_once '../src/Database/Database.php'; 
   require_once '../src/Vat/VatCalculator.php';
   use  Cmo\Vat\VatCalculator;

use Cmo\Database\Database;

// Create a new Database object
$db = new Database();

// Get the connection object
$conn = $db->getConnection();
// Test if the connection was successful
if ($conn->connect_error) {
    // Print the exact connection error message
    echo "Connection failed: " . $conn->connect_error;
} else {
    echo "Connection successful!";
}
?>

    <h1>Calculate Vat</h1>
    <form method="POST">
    
        <label for="amount">Amount:</label>
        <input type="text" id="amount" name="amt" required>
        <br><br>

        <label for="color">Vat Rate:</label>
        <select name="vat" required>
            <option value="">Vat Rate</option>
            <option value="5">5%</option>
            <option value="10">10%</option>
            <option value="20">20%</option>
            <option value="30">30%</option>
        </select>
        <br><br>

       
        <input type="submit" value="Submit">
    </form>


    <table>
  <tr>
    <th>Original Amount in Vat EX</th>
    <th> Amount with Vat EX</th>
    <th> Amount Vat EX</th>
    <th>Original Amount in Vat Inc</th>
    <th> Amount with Vat Inc</th>
    <th> Amount Vat Inc</th>
  </tr>
  <tr>
    <td>Alfreds Futterkiste</td>
    <td>Maria Anders</td>
    <td>Germany</td>
    <td>Alfreds Futterkiste</td>
    <td>Maria Anders</td>
    <td>Germany</td>
  </tr>
  <tr>
    <td>Centro comercial Moctezuma</td>
    <td>Francisco Chang</td>
    <td>Mexico</td>
    <td>Alfreds Futterkiste</td>
    <td>Maria Anders</td>
    <td>Germany</td>
  </tr>
</table>
</body>
</html>
